"""Common filenames and locations for topographic data, meshes and outputs.
"""


from os import sep
from os.path import expanduser
import sys

#Making assumptions about the location of scenario data
scenario_dir_name = 'gippsland_storm_surge_scenario_2005'

basename = 'test'

boundary_basename = 'csiro_bondary'

if sys.platform == 'win32':
    home = '..\..\..\..\..\..'     #Sandpit's parent dir
else:    
    home = expanduser('~')


#Derive subdirectories and filenames
meshdir = home+sep+scenario_dir_name+sep+'meshes'+sep
datadir = home+sep+scenario_dir_name+sep+'topographies'+sep
outputdir = home+sep+scenario_dir_name+sep+'output'+sep
boundarydir = home+sep+scenario_dir_name+sep+'boundaries'+sep
bath_dir = boundarydir + 'bathymetry_expanded'
elevation_dir =  boundarydir + 'elev_expanded'
ucur_dir =  boundarydir + 'ucur_expanded'
vcur_dir =  boundarydir + 'vcur_expanded'

meshname = meshdir + basename
demname = datadir + basename
boundaryname = boundarydir + boundary_basename
outputname = outputdir + basename  #Used by post processing

gauge_filename = 'all_bld_ind.csv'

tide = 0.0

#Georeferencing
from pyvolution.coordinate_transforms.redfearn import degminsec2decimal_degrees

#Origin of existing dem (FIXME: Temporary measure)
#mesh_origin = (50, 421544.35127423, 7677669.5257159)  #250m
#mesh_origin = (50, 420468.31429902, 7677669.5257159)  #100m


#south = degminsec2decimal_degrees(-20,45,0)
#north = degminsec2decimal_degrees(-20,15,0)
#west = degminsec2decimal_degrees(116,30,0)
#east = degminsec2decimal_degrees(117,0,0)

north = -37.75
south = -38.0 
west = 147.0
east = 148.0

p0 = [north, west]
p1 = [north, east]
p2 = [south, east]
p3 = [south, west]

    
polygon = [p0, p1, p2, p3]
refzone = 50

