"""
Source data such as elevation and boundary data is assumed to be available in
directories specified by project.py
The output sww file is stored in project.outputdir 

The scenario is defined by a triangular mesh created from project.polygon,
the elevation data and boundary data obtained from a tsunami simulation done with MOST.

Duncan Gray, Ole Neilsen, GA - 2005
"""


import os
import time


from pyvolution.shallow_water import Domain, Reflective_boundary, \
     File_boundary,\
     Dirichlet_boundary, Time_boundary, Transmissive_boundary
from pyvolution.data_manager import convert_dem_from_ascii2netcdf,\
     dem2pts, asc_csiro2sww
from pyvolution.pmesh2domain import pmesh_to_domain_instance 
from caching import cache
import project

#Data preparation
#Convert ASC 2 DEM 2 PTS using source data and store result in source data
demname = project.demname

# just interested in the boundary/ mesh intereaction first off.
#cache(convert_dem_from_ascii2netcdf, demname, {'verbose': True},
#      dependencies = [demname + '.asc'],
#      verbose = True)
#      #evaluate = True)

#cache(dem2pts, demname, {'verbose': True},
#      dependencies = [demname + '.dem'],      
#      verbose = True)


#Convert CSIRO boundary
cache(ferret2sww,
      (source_dir+project.boundary_basename,
       project.boundary_basename), 
      {'bath_dir':project.bath_dir,
       'elevation_dir':project.elevation_dir,
       'ucur_dir':project.ucur_dir,
       'vcur_dir':project.vcur_dir,
       'sww_file':project.boundaryname + '.sww',
       'verbose': True,
       'minlat': -38.25,
       'maxlat': -37.7,
       'minlon': 147.0,
       'maxlon': 148.25,
       'mean_stage': project.tide,
       'zscale': 1,                 #Enhance tsunami
       'fail_on_NaN': False,
       'inverted_bathymetry': True},
       #evaluate = True,
      verbose = True)
